Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 15 May 2021 08:35:38 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have tried to call or contact the customer care number requesting to return the order which is still in transit , but not yet delivered to me , The order number is 9659457786
I do need help to return this order , I talked to the courier guy , he said I should contact the company splash ,
But when I did so , I have been told to contact the courier company  . . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2573890